Page MenuHomePhabricator

Implement the "reload" functionality
Closed, ResolvedPublic

Description

options we discussed - actual implementation up to the dev who researched further:

  • re-dispatch app from init
  • resetting state, maybe emptying errors and doing initBridge again

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2020, 3:07 PM
Michael claimed this task.Apr 1 2020, 4:40 PM
Michael moved this task from To do to Doing on the Wikidata-Bridge-Sprint-17 board.
Restricted Application added a project: User-Michael. · View Herald TranscriptApr 1 2020, 4:40 PM

Change 585282 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] Redispatch bridge on reload event

https://gerrit.wikimedia.org/r/585282

Change 585289 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: implement ability to reload (via store)

https://gerrit.wikimedia.org/r/585289

Change 585459 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: implement ability to reload (via store)

https://gerrit.wikimedia.org/r/585459

Michael removed Michael as the assignee of this task.Apr 2 2020, 3:56 PM
Michael removed a project: User-Michael.
Michael added a subscriber: Michael.

Change 585289 abandoned by Pablo Grass (WMDE):
bridge: implement ability to reload (via store)

Reason:
This was a PoC as alternative to I632631fb209acb41af7041e01e0a8c393b4af1fd which spun Ibe1291c553a3495a203706477c1af1ff0989797e (which goes a bit further but also adds tests, ... that'd be needed no matter what)

https://gerrit.wikimedia.org/r/585289

Change 585282 abandoned by Michael Große:
bridge: Redispatch bridge on reload event

Reason:
Approach in Ibe1291c553a3495a203706477c1af1ff0989797e was preferred by UX

https://gerrit.wikimedia.org/r/585282

Change 585459 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: implement ability to relaunch

https://gerrit.wikimedia.org/r/585459

Pablo-WMDE closed this task as Resolved.Apr 9 2020, 8:40 AM
Pablo-WMDE moved this task from Peer Review to Done on the Wikidata-Bridge-Sprint-18 board.

Change 587552 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: only emit one type of events from App

https://gerrit.wikimedia.org/r/587552

Change 587552 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: only emit one type of events from App

https://gerrit.wikimedia.org/r/587552